import { RuntimeCompilerOptions, Component } from 'vue';

interface Props extends Record<string, any> {
}
interface VueRuntimeCompilerOptions extends RuntimeCompilerOptions {
}
interface SourceOptions {
    /**
     * The source code of the component.
     */
    source: string;
    /**
     * The components used in the component.
     */
    components: {
        name: string;
        source: string;
    }[];
}

declare function createEmailClient({ path, components, }: {
    path: string;
    components: Record<string, Component>;
}): {
    renderEmail: (name: string, props: Props, compilerOptions?: VueRuntimeCompilerOptions) => Promise<string>;
    addComponent: (name: string, component: Component) => void;
};
declare function templateRender(name: string, code: SourceOptions, props?: Props, compilerOptions?: VueRuntimeCompilerOptions): Promise<string>;

export { createEmailClient, templateRender };
